Bug 1506634 - Group: 'All changes have been reset' duplication for page with tag expression
Summary: Group: 'All changes have been reset' duplication for page with tag expression
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: GA
: 5.10.0
Assignee: Greg Piatigorski
QA Contact: Jad Haj Yahya
URL:
Whiteboard: ui:tag:group
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-26 13:21 UTC by Ruslana Babyuk
Modified: 2019-02-07 23:00 UTC (History)
6 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:00:32 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)
reset_message (46.51 KB, image/png)
2017-10-26 13:21 UTC, Ruslana Babyuk
no flags Details
Setting the expression before Reset action (215.64 KB, image/png)
2017-11-07 23:57 UTC, Greg Piatigorski
no flags Details
One flash message displayed after Reset action (237.10 KB, image/png)
2017-11-07 23:57 UTC, Greg Piatigorski
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:00:38 UTC

Description Ruslana Babyuk 2017-10-26 13:21:05 UTC
Created attachment 1343730 [details]
reset_message

Description of problem:
'All changes have been reset' duplication for page with tag expression

Version-Release number of selected component (if applicable):
5.9.0.4


How reproducible:
100%

Steps to Reproduce:
1. Navigate to edit group
2. Select tag expression in 'My Company Tags' tab
3. Change group name
4. Click "Reset" button

Actual results:
'All changes have been reset' is duplicated for page

Expected results:
One message should be shown

Additional info:

Comment 2 Greg Piatigorski 2017-11-07 23:56:18 UTC
Cannot reproduce the issue, Reset displays only one flash message, as intended. Attaching screen shots from my UI navigation/testing.

Comment 3 Greg Piatigorski 2017-11-07 23:57:05 UTC
Created attachment 1349162 [details]
Setting the expression before Reset action

Comment 4 Greg Piatigorski 2017-11-07 23:57:44 UTC
Created attachment 1349163 [details]
One flash message displayed after Reset action

Comment 5 Ruslana Babyuk 2017-11-08 09:11:30 UTC
Hi Greg,

Please try these steps, I think I've missed one:

Steps to Reproduce:
1. Create group with tag expression
2. Navigate to edit group
3. Select tag expression in 'My Company Tags' tab
4. Change group name
5. Click "Reset" button

Comment 8 CFME Bot 2018-04-09 13:26:28 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/a74bf071c80a927a8e87a88c0d9b9cab832231cc
commit a74bf071c80a927a8e87a88c0d9b9cab832231cc
Author:     Greg Piatigorski <gpiatigo@gmail.com>
AuthorDate: Fri Apr  6 13:45:45 2018 -0400
Commit:     Greg Piatigorski <gpiatigo@gmail.com>
CommitDate: Fri Apr  6 13:45:45 2018 -0400

    Reset button flash message in Group Tag Expression editor

    Do not display duplicate confirmation message when Reset button is clicked in Expression Editor partial

    https://bugzilla.redhat.com/show_bug.cgi?id=1506634

 app/views/layouts/_exp_editor.html.haml | 2 +-
 app/views/layouts/_flash_msg.html.haml | 3 +-
 2 files changed, 3 insertions(+), 2 deletions(-)

Comment 10 errata-xmlrpc 2019-02-07 23:00:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.